<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>

  <div id="app">
    <form>
      <input type="text" v-model="form.name">
      <button v-show="!updateSubmit" @click.prevent="add">Add</button>
      <button @click.prevent="update" v-show="updateSubmit">Update</button>
    </form>

    <ul v-for="(user, index) in users">
      <li>
        <span>{{ user.name }}</span>
        <button @click="edit(user, index)">Edit</button> ||
        <button @click="del(index)">Delete</button>
      </li>

    </ul>
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12/dist/vue.js"></script>

  <script>

    var app = new Vue({
      el : '#app',
      data(){
        return {
          users : [
            {
              'name' : 'Muhammad Iqbal Mubarok'
            },
            {
              'name' : 'Ruby Purwanti'
            },
            {
              'name' : 'Faqih Muhammad Iqbal'
            }
          ],
          updateSubmit : false,
          form : {
            'name' : ''
          },
          selectedUserId : null,
        }
      },
      methods:{
        add(){
          this.users.push(
            this.form
          )
          this.form = {}
        },
        edit(user, index){
          this.selectedUserId = index
          this.updateSubmit = true
          this.form.name = user.name
        },
        update(){
          this.users[this.selectedUserId].name = this.form.name
          this.form = {}
          this.updateSubmit = false
          this.selectedUserId = null
        },
        del(index){
          var r = confirm('Anda Yakin ??')

          if(r){
            this.users.splice(index,1)
          }

        }
      },
    })

  </script>
  
</body>
</html>